#
# spec file for package python-Transplant
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
%define         skip_python36 1
Name:           python-Transplant
Version:        0.8.11
Release:        3.12
Summary:        Python module for calling out to Matlab
License:        BSD-3-Clause
URL:            https://github.com/bastibe/transplant
Source:         https://files.pythonhosted.org/packages/source/T/Transplant/Transplant-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/bastibe/transplant/master/LICENSE
BuildRequires:  %{python_module devel >= 3.4}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-msgpack-python
Requires:       python-numpy
Requires:       python-pyzmq
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module msgpack-python}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pyzmq}
BuildRequires:  %{python_module scipy}
# /SECTION
%python_subpackages

%description
Transplant is a way of calling Matlab from Python.

Python lists are converted to cell arrays in Matlab, dicts are
converted to Maps, and numpy ND-Arrays are converted to native
Matlab matrices.

All Matlab functions and objects can be accessed from Python.

%prep
%setup -q -n Transplant-%{version}
cp %{SOURCE99} .
# https://github.com/bastibe/transplant/issues/97
sed -i 's:.pytest-runner.::' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# tests sadly need matlab install
#%%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  7 2021 pgajdos@suse.com
- do not require pytest-runner for build, it would not be needed
  even if the testsuite run
* Wed Apr 21 2021 Steve Kowalik <steven.kowalik@suse.com>
- Do not build for Python 3.6, due to no NumPy.
* Wed Jan 13 2021 pgajdos@suse.com
- version update to 0.8.11
  * Now correctly encodes bool ndarrays as logical arrays (thank you, Júlio)
  * Fixes working with Matlab packages (Thank you, dani-l)
  * Fixes recursion at Matlab shutdown (Thank you, dani-l)
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.8.10:
  * fixes (benign) Matlab crash on exit
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 0.8.8
  * improves documentation
* Sun Jul 29 2018 jengelh@inai.de
- Use noun phrase in summary.
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 0.8.7
  * adds support for passing Matlab functions back to Matlab
- Update to 0.8.6
  * bugfix for anaconda libzmq
- spec file cleanups
* Tue Mar 13 2018 toddrme2178@gmail.com
- Update to version 0.8.5
  * adds support for passing Matlab functions back to Matlab
  * gracefully exit if Matlab dies
* Tue Sep 12 2017 toddrme2178@gmail.com
- Initial version
